#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

void assertNumber(string s) {
    assert(s[0] == '+' || s[0] == '-' || isdigit(s[0]));
    for (int i = 1; i < s.size(); i++) assert(isdigit(s[i]));
    if (!isdigit(s[0])) s.erase(0);
    assert(s.size() != 0);
    assert(s.size() == 1 || s[0] != '0');
}

vector<long long> longlongTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<long long> b;
    for (string& s: a) {
        assertNumber(s);
        b.push_back(stoll(s));
    }
    return b;
}

void solve(int a, int b, int c) {
    int time = 60*a+b+c;
    int h = time/60%24;
    int m = time%60;
    if (h < 10) cout << "0";
    cout << h;
    cout << ":";
    if (m < 10) cout << "0";
    cout << m << endl;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    vector<long long> line1 = longlongTokens(' ');
    vector<long long> line2 = longlongTokens(' ');
    assert(line1.size() == 2);
    assert(line2.size() == 1);
    assertEOF();

    int a = line1[0];
    int b = line1[1];
    int c = line2[0];
    assert(0 <= a && a <= 23);
    assert(0 <= b && b <= 59);
    assert(0 <= c && c <= 100000);

    solve(a, b, c);

    return 0;
}
